Skip to main content
PUT
/
2026-01
/
retail-media
/
campaigns
/
{campaignId}
/
campaign-budget-overrides
/2026-01/retail-media/campaigns/{campaignId}/campaign-budget-overrides
curl --request PUT \
  --url https://api.criteo.com/2026-01/retail-media/campaigns/{campaignId}/campaign-budget-overrides \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "dailyBudgetOverrides": [
        {
          "duration": "<string>",
          "maxDailySpend": 123,
          "startDate": "2023-11-07T05:31:56Z"
        }
      ],
      "monthlyBudgetOverrides": [
        {
          "duration": "<string>",
          "maxMonthlySpend": 123,
          "startMonth": "2023-11-07T05:31:56Z"
        }
      ]
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "dailyBudgetOverrides": [
        {
          "duration": "<string>",
          "maxDailySpend": 123,
          "startDate": "2023-11-07T05:31:56Z"
        }
      ],
      "monthlyBudgetOverrides": [
        {
          "duration": "<string>",
          "maxMonthlySpend": 123,
          "startMonth": "2023-11-07T05:31:56Z"
        }
      ]
    },
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

campaignId
string
required

Campaign id.

Body

application/json

New campaign budget overrides settings value resource input.

A top-level object that encapsulates a Criteo API request for a single value object.

data
object

A value resource exposed by the API.

Response

201 - application/json

Success

A top-level object that encapsulates a Criteo API response for a single value object.

data
object

A value resource exposed by the API.

errors
object[] | null
read-only

Errors that occured during this call.

warnings
object[] | null
read-only

Warnings that occured during this call.